Subject: bug#31718: 26.1; Strange behavior of `cond'

From: Paul Eggert <[email-masked]>
Date: Sat, 16 Jun 2018 08:28:57 -0700

Eli Zaretskii wrote:
>> Given the practical consequences of this bug I expect the bug fix
>> should be backported into the emacs-26 branch too.
> Could you explain why?

We've had three independent reports of the bug (Bug#28806, Bug#31718, 
Bug#31734), I expect because org-mode triggers the Emacs bug. Bug#28806#5 says 
it occurs with Emacs 26 but not Emacs 25. Bug#31718#5 says it occurs with Emacs 
26 but not Emacs 25.3. So the bug is a regression, and it's biting real users.